AlmaLinux 2227 Published by

A xorg-x11-server security and bug fix update has been released for AlmaLinux 9.



ALSA-2023:2248 Moderate: xorg-x11-server security and bug fix update


Type:
security

Severity:
moderate

Release date:
2023-05-12

Description
Security Fix(es):
* xorg-x11-server: buffer overflow in _GetCountedString() in xkb/xkb.c (CVE-2022-3550)
* xorg-x11-server: XkbGetKbdByName use-after-free (CVE-2022-4283)
* xorg-x11-server: XTestSwapFakeInput stack overflow (CVE-2022-46340)
* xorg-x11-server: XIPassiveUngrab out-of-bounds access (CVE-2022-46341)
* xorg-x11-server: XvdiSelectVideoNotify use-after-free (CVE-2022-46342)
* xorg-x11-server: ScreenSaverSetAttributes use-after-free (CVE-2022-46343)
* xorg-x11-server: XIChangeProperty out-of-bounds access (CVE-2022-46344)
* xorg-x11-server: DeepCopyPointerClasses use-after-free leads to privilege elevation (CVE-2023-0494)
* xorg-x11-server: memory leak in ProcXkbGetKbdByName() in xkb/xkb.c (CVE-2022-3551)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.
Additional Changes:
For detailed information on changes in this release, see the AlmaLinux Release Notes linked from the References section.

References:
RHSA-2023:2248
CVE-2022-3550
CVE-2022-3551
CVE-2022-4283
CVE-2022-46340
CVE-2022-46341
CVE-2022-46342
CVE-2022-46343
CVE-2022-46344
CVE-2023-0494
ALSA-2023:2248

Updates packages:
xorg-x11-server-Xvfb-1.20.11-17.el9.aarch64.rpm
xorg-x11-server-Xephyr-1.20.11-17.el9.aarch64.rpm
xorg-x11-server-Xorg-1.20.11-17.el9.aarch64.rpm
xorg-x11-server-common-1.20.11-17.el9.aarch64.rpm
xorg-x11-server-Xdmx-1.20.11-17.el9.aarch64.rpm
xorg-x11-server-Xnest-1.20.11-17.el9.aarch64.rpm
xorg-x11-server-Xvfb-1.20.11-17.el9.x86_64.rpm
xorg-x11-server-common-1.20.11-17.el9.x86_64.rpm
xorg-x11-server-Xephyr-1.20.11-17.el9.x86_64.rpm
xorg-x11-server-Xorg-1.20.11-17.el9.x86_64.rpm
xorg-x11-server-Xdmx-1.20.11-17.el9.x86_64.rpm
xorg-x11-server-Xnest-1.20.11-17.el9.x86_64.rpm
xorg-x11-server-Xdmx-1.20.11-17.el9.ppc64le.rpm
xorg-x11-server-Xnest-1.20.11-17.el9.ppc64le.rpm
xorg-x11-server-Xvfb-1.20.11-17.el9.ppc64le.rpm
xorg-x11-server-Xephyr-1.20.11-17.el9.ppc64le.rpm
xorg-x11-server-common-1.20.11-17.el9.ppc64le.rpm
xorg-x11-server-Xorg-1.20.11-17.el9.ppc64le.rpm
xorg-x11-server-Xdmx-1.20.11-17.el9.s390x.rpm
xorg-x11-server-Xorg-1.20.11-17.el9.s390x.rpm
xorg-x11-server-Xvfb-1.20.11-17.el9.s390x.rpm
xorg-x11-server-common-1.20.11-17.el9.s390x.rpm
xorg-x11-server-Xnest-1.20.11-17.el9.s390x.rpm
xorg-x11-server-Xephyr-1.20.11-17.el9.s390x.rpm
xorg-x11-server-source-1.20.11-17.el9.noarch.rpm
xorg-x11-server-devel-1.20.11-17.el9.i686.rpm
xorg-x11-server-devel-1.20.11-17.el9.ppc64le.rpm
xorg-x11-server-devel-1.20.11-17.el9.x86_64.rpm
xorg-x11-server-devel-1.20.11-17.el9.aarch64.rpm
xorg-x11-server-devel-1.20.11-17.el9.s390x.rpm

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2023:2248 Moderate: xorg-x11-server security and bug fix update